# fann_get_MSE

(PECL fann >= 1.0.0)

fann_get_MSE — Reads the mean square error from the network

### Description

fann_get_MSE ( resource `$ann` ) : float

Reads the mean square error from the network.

Reads the mean square error from the network. This value is calculated during training or testing and can therefore sometimes be a bit off if the weights have been changed since the last calculation of the value.

### Parameters

`ann`

  Neural network resource.

### Return Values

The mean square error, or `FALSE` on error.

### See Also

- fann_test_data() - Test a set of training data and calculates the MSE for the training data